Bug 1120907 - [RFE] Add confirmation dialog to to snapshot restore operation
Summary: [RFE] Add confirmation dialog to to snapshot restore operation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: RHGS 3.1.0
Assignee: Nagaprasad Sathyanarayana
QA Contact:
URL:
Whiteboard: SNAPSHOT
Depends On:
Blocks: 1133426 1145092 1202842 1223636
TreeView+ depends on / blocked
 
Reported: 2014-07-18 01:11 UTC by Paul Cuzner
Modified: 2016-09-17 12:59 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.7.0-3.el6rhs
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1133426 (view as bug list)
Environment:
Last Closed: 2015-07-29 04:34:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description Paul Cuzner 2014-07-18 01:11:13 UTC
Description of problem:
When restoring a volume, the user is not prompted for confirmation. Since restoring a volume rolls back the data to a previous point in time, there is the potential for updates to be lost.

This BZ requests that a confirmation dialog is added to the snapshot restore 'workflow', to provide an extra safeguard against admin errors.


Version-Release number of selected component (if applicable):


How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Sachin Pandit 2014-08-28 04:54:55 UTC
Patch link https://code.engineering.redhat.com/gerrit/#/c/31646/ .

Comment 4 senaik 2015-06-10 10:18:49 UTC
Version :glusterfs 3.7.1 built on Jun  9 2015

While restoring a volume, we get the below confirmation dialog as below:

gluster snapshot restore Scheduled-J1-vol0_GMT-2015.06.10-09.50.03
Restore operation will replace the original volume with the snapshotted volume. Do you still want to continue? (y/n) y
Snapshot restore: Scheduled-J1-vol0_GMT-2015.06.10-09.50.03: Snap restored successfully

Marking the bug as 'Verified'

Comment 7 errata-xmlrpc 2015-07-29 04:34:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.